Bug 1209056 - [UX] [TRANS] Plural strings are not extracted properly
Summary: [UX] [TRANS] Plural strings are not extracted properly
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 22
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-05 18:28 UTC by Piotr Drąg
Modified: 2015-11-30 23:23 UTC (History)
8 users (show)

Fixed In Version: dnf-1.1.4-1.fc23 dnf-1.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 23:23:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the problem (69.16 KB, image/png)
2015-04-05 18:28 UTC, Piotr Drąg
no flags Details

Description Piotr Drąg 2015-04-05 18:28:28 UTC
Created attachment 1011205 [details]
Screenshot of the problem

Description of problem:
Plural strings like 'Package', 'Packages' are not translated in the UI (see the screenshot). They are not even in the PO files.

Version-Release number of selected component (if applicable):
dnf-0.6.5-1.fc22.noarch

Comment 1 Honza Silhan 2015-04-07 17:23:44 UTC
Thanks for the report. We'll fix it.

Comment 2 Piotr Drąg 2015-04-18 14:43:04 UTC
"%s [options] COMMAND\n" in https://github.com/rpm-software-management/dnf/blob/master/dnf/cli/option_parser.py#L247 is another string that doesn't get translated.

Comment 3 Piotr Drąg 2015-11-11 15:40:46 UTC
Any progress on this? It makes dnf less understandable for the majority of users.

Comment 4 Baurzhan Muftakhidinov 2015-11-14 10:36:08 UTC
Just seen it,

https://github.com/rpm-software-management/dnf/pull/381

pls review

Comment 5 Fedora Update System 2015-11-16 19:06:55 UTC
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 6 Fedora Update System 2015-11-18 16:26:19 UTC
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 7 Fedora Update System 2015-11-18 16:52:03 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 8 Fedora Update System 2015-11-19 09:52:05 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-11-19 14:51:12 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 10 Fedora Update System 2015-11-30 23:23:12 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.